import osfrom unstructured import UnstructuredClientclient = UnstructuredClient( username=os.environ.get("UNSTRUCTURED_USERNAME"), # This is the default and can be omitted password=os.environ.get("UNSTRUCTURED_PASSWORD"), # This is the default and can be omitted)connector_response = client.destination.delete( connector_name="connector_name",)print(connector_response.profile_id)
Copy
{ "profile_id": "<string>"}
Destinations
Delete
Delete a destination connector.
Request Body
{ "connector_name": "my-s3-destination"}
Field
Type
Description
connector_name
str
The profile name of the destination to delete.
Response
200: Destination deleted successfully
Returns: { "profile_id": str }
POST
/
destination
/
delete
Python
Copy
import osfrom unstructured import UnstructuredClientclient = UnstructuredClient( username=os.environ.get("UNSTRUCTURED_USERNAME"), # This is the default and can be omitted password=os.environ.get("UNSTRUCTURED_PASSWORD"), # This is the default and can be omitted)connector_response = client.destination.delete( connector_name="connector_name",)print(connector_response.profile_id)